Skip to main content
PATCH

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Path Parameters

lab_test_id
string<uuid>
required

Body

application/json
name
string | null
active
boolean | null
lab_account_id
string<uuid> | null
marker_ids
integer[] | null

Complete marker membership for the panel. A changed set creates the new default version used by all subsequent orders.

Minimum array length: 1
provider_ids
string[] | null

Complete provider-code membership for the panel. A changed set creates the new default version used by all subsequent orders.

Minimum array length: 1

Response

Successful Response

id
string<uuid>
required
slug
string
required
name
string
required
sample_type
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
dried_blood_spot,
arm_collector,
serum,
saliva,
urine,
stool
method
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
testkit,
walk_in_test,
at_home_phlebotomy,
on_site_collection
price
number
required
is_active
boolean
required

Deprecated. Use status instead.

status
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
active,
pending_approval,
inactive
lab
ClientFacingLab · object | null
required
Example:
markers
ClientFacingMarker · object[] | null
required
updated_at
string<date-time>
required
version
integer | null

Immutable marker-set version represented by this response.

fasting
boolean
default:false

Defines whether a lab test requires fasting.

is_delegated
boolean
default:false
deprecated

Deprecated and always false. Delegation is now at the lab account level. Used to denote whether a lab test requires using non-Vital physician networks.

auto_generated
boolean
default:false

Whether the lab test was auto-generated by Vital

source_sandbox_lab_test_id
string<uuid> | null
has_collection_instructions
boolean | null

Whether or not the lab test has collection instructions.

common_tat_days
integer | null

The common turnaround time in days for the lab test. This is the expected time for the lab to process the test and return results.

worst_case_tat_days
integer | null

The worst-case turnaround time in days for the lab test. This is the maximum time the lab may take to process the test and return results.